package main;
import util.annotations.IsAtomicShape;
import util.annotations.StructurePattern;
import util.annotations.Visible;
@StructurePattern("Bean Pattern")
public class AUniverse implements Universe {
	
	Line theLine, theLine2;
	StringShape theText;
	Point lineLocation;
	ImageShape image;
	
	public AUniverse (){
		lineLocation = new APoint(30,30);
		theLine = new ALine(lineLocation,80,0);
		theText = new AStringShape("Hello World!", 450,90);
		image = new AShapeImage("shuttle.jpg", 300, 30, 70,140);
	}	
	public Line getLine(){return theLine;}	
	public StringShape getText(){return theText;}
	public ImageShape getImage(){return image;}
	// try un-commenting below to see what this annotation before a certain method does
	// @Visible(false)
	public Point getLineLocation(){return lineLocation;}
	
	public void moveLine(int newX, int newY){
		lineLocation.setX(lineLocation.getX() + newX);
		lineLocation.setY(lineLocation.getY() + newY);
	}
	
	public void moveText(int newX, int newY){
		theText.setX(theText.getX()+newX);
		theText.setY(theText.getY()+newY);
	}
	
	public void moveImage(int newX, int newY){
		image.setX(image.getX()+newX);
		image.setY(image.getY()+newY);
	}
	
	public void moveAll(int newX, int newY){
		moveLine(newX, newY);
		moveText(newX, newY);
		moveImage(newX, newY);
	}
	
}
